Gtk backend hangs on "Ctrl::RenderPrimarySelection" (GtkClip.cpp)
Description

Sometimes | have got random crashes on Linux with GTK IDE Backend. It seems that | have found cause.

How to reproduce? (It is hard)

1. Run IDE.

2. Try to double click on assembly name (Do this fast).
3. If evrything is OK. Press cancel.

4. Repeat points 2 & 3 untile the error occures.

History

#1 - 01/30/2015 03:39 PM - Zbigniew Rebacz
- Status changed from New to Patch ready
- Priority changed from High to Urgent

Maybe something like this can help:

String Ctrl::RenderPrimarySelection(const Value& fmt)

{

return sel_ctrl ? sel_ctrl->GetSelectionData(fmt) : String();

To make sure that sel_ctrl is not null ptr (I can be wrong, beacuse | don't fully understand this code). On the other hand this problem is serious, beacuse it

can leads to random crashes on GTK backend.

Patch ready +/-.

#2 - 01/30/2015 03:44 PM - Zbigniew Rebacz

Even "Enviroment Settings" stop crashing.

#3 - 02/01/2015 01:44 PM - Miroslav Fidler
- Status changed from Patch ready to Approved
